Ubuntu

purple screen freeze with AMD 6850

Reported by Eduard on 2012-04-07
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
grub-gfxpayload-lists (Ubuntu)
Medium
Chris Halse Rogers
Precise
Medium
Chris Halse Rogers
Quantal
Medium
Unassigned

Bug Description

After installing Ubuntu I can't boot into the OS at all unless I manage to get into recovery mode (which is very hard with no timeout on GRUB by default) and install FGLRX from there.
It happens on every version of Ubuntu that has the open source drivers for the AMD Radeon HD 6850 graphics card installed.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: plymouth 0.8.2-2ubuntu28
ProcVersionSignature: Ubuntu 3.0.0-17.30-generic 3.0.22
Uname: Linux 3.0.0-17-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
Date: Sat Apr 7 15:56:29 2012
DefaultPlymouth: /lib/plymouth/themes/ubuntu-logo/ubuntu-logo.plymouth
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
MachineType: System manufacturer P5QL PRO
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-17-generic root=UUID=d8d570c3-c3cf-48a3-8068-4ac86d7f31ff ro quiet splash vt.handoff=7
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-17-generic root=UUID=d8d570c3-c3cf-48a3-8068-4ac86d7f31ff ro quiet splash vt.handoff=7
SourcePackage: plymouth
TextPlymouth: /lib/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/01/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1004
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: P5QL PRO
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1004:bd07/01/2009:svnSystemmanufacturer:pnP5QLPRO:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5QLPRO:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: P5QL PRO
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
---
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
DefaultPlymouth: /lib/plymouth/themes/ubuntu-logo/ubuntu-logo.plymouth
DistroRelease: Ubuntu 11.10
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
MachineType: System manufacturer P5QL PRO
Package: plymouth 0.8.2-2ubuntu28
PackageArchitecture: amd64
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-17-generic root=UUID=d8d570c3-c3cf-48a3-8068-4ac86d7f31ff ro quiet
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-17-generic root=UUID=d8d570c3-c3cf-48a3-8068-4ac86d7f31ff ro quiet
ProcVersionSignature: Ubuntu 3.0.0-17.30-generic 3.0.22
Tags: oneiric running-unity
TextPlymouth: /lib/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
Uname: Linux 3.0.0-17-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 07/01/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1004
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: P5QL PRO
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1004:bd07/01/2009:svnSystemmanufacturer:pnP5QLPRO:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5QLPRO:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: P5QL PRO
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

Eduard (eduard-comanici) wrote :
Steve Langasek (vorlon) wrote :

To help us debug this, can you please:
 - remove fglrx again from the system
 - pull up the grub menu by holding down 'shift' at boot
 - edit the *first* boot option (not the recovery option) to remove the 'splash' and 'vt.handoff=7' options from the boot command
 - boot, and run 'apport-collect 975931' to attach the information from this boot to the bug.

Changed in plymouth (Ubuntu):
status: New → Incomplete
Steve Langasek (vorlon) wrote :

Also, it would be helpful if you would upgrade to the Ubuntu 12.04 Beta and confirm whether or not the issue is reproducible with the current version.

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Eduard (eduard-comanici) wrote :

Done uploading the apport-collect thing (sorry, I'm kinda new at this).
This also occurs with Ubuntu 12.04 beta, so no change there.

Steve Langasek (vorlon) wrote :

Thanks. This shows that drm is initializing correctly, at least when we're not trying to hand off a framebuffer from grub.

When it freezes, does it freeze with a completely purple screen, or with the ubuntu logo displayed?

Can you try booting the standard boot, with only the 'vt.handoff=7' option removed, to confirm whether this also hangs?

Changed in plymouth (Ubuntu):
status: Incomplete → New
Eduard (eduard-comanici) wrote :

The display freezes on a shade of purple lighter than the Ubuntu logo one. Pressing CTRL+ALT+F2 to drop to a terminal makes the screen go completely black.

Yes, it still freezes with only the vt.handoff=7 option removed.

On Sat, Apr 07, 2012 at 07:52:44PM -0000, Eduard wrote:
> The display freezes on a shade of purple lighter than the Ubuntu logo
> one. Pressing CTRL+ALT+F2 to drop to a terminal makes the screen go
> completely black.

This indicates VT switching and video mode switching is working correctly in
the kernel. After Ctrl+Alt+F2, does Ctrl+Alt+F1 or Ctrl+Alt+F7 bring up the
boot splash?

> Yes, it still freezes with only the vt.handoff=7 option removed.

Ok.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Eduard (eduard-comanici) wrote :

No, I can not get back to the desktop or Unity Greeter or boot splash by pressing Ctrl+Alt+F1/F7

Eduard (eduard-comanici) wrote :

Just dropped by to say that it affects Ubuntu 12.04 (beta) as well. I've done an upgrade using the CD last night and it happened again, did not work until I installed the FGLRX package.

I also got the same problem...
It still affects Ubuntu 12.04 LTS Beta2.

I first encountered this with Ubuntu 11.04 OS.

Its has to be the kernel version and I only experience this with 64 bit version 32 bit seems fine but slow.

10.04 and 10.10 with 64 bit is fine.

Steve Langasek (vorlon) wrote :

Cedric, please confirm what hardware you're seeing this on.

Acer Aspire 5560-4334G50Mnkk:

AMD Dual-Core
A4-3300M
1.9 GHz
4 Mb
DDR3 SDRAM
AMD Radeon HD 6480G

Eduard (eduard-comanici) wrote :

So it's a bug affecting all 6xxx AMD Radeon HD series graphics cards?

Steve Langasek (vorlon) wrote :

Cedric,

> AMD Radeon HD 6480G

This name is not a known PCI device. Please attach the output of 'lspci -vvnn' on your system.

Steve Langasek (vorlon) wrote :

The AMD6850 mentioned in the subject is one off from the 6800 that's already had graphical handoff support blacklisted in grub: 1002:6738 vs. 1002:6739. We probably want to blacklist this as well.

Changed in grub-gfxpayload-lists (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
assignee: nobody → Chris Halse Rogers (raof)
Changed in grub-gfxpayload-lists (Ubuntu Quantal):
status: New → Triaged
importance: Undecided → Medium
Steve Langasek (vorlon) wrote :

Chris, since you blacklisted the HD6800 for bug #971204, I'd like your opinion on whether it's reasonable to blacklist the HD6850 as well. If we're going to wind up blacklisting half the radeon systems on the planet due to bugs in the kms driver, we might be better off getting to the bottom of the kms bug, instead of giving radeon users a (working but) degraded boot experience?

Steve Langasek (vorlon) wrote :

Eduard, could you try editing /usr/share/grub-gfxpayload-lists/blacklist/20_radeon_hd6800 on your system to add a second line:

v1002d6739.*

then run 'sudo update-grub-gfxpayload', remove the fglrx package, and confirm whether the system boots correctly without resorting to rescue mode?

Steve Langasek (vorlon) on 2012-04-24
tags: added: rls-p-tracking
Changed in grub-gfxpayload-lists (Ubuntu Precise):
milestone: none → ubuntu-12.04.1
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in plymouth (Ubuntu Precise):
status: New → Confirmed
Changed in plymouth (Ubuntu):
status: New → Confirmed
Eduard (eduard-comanici) wrote :

Steve, sorry for the late reply, was away from my main machine.

Apparently that fixed it! Added the line and voila, it booted without the fglrx driver.

I don't see what are you guys talking about the degraded boot experience? When it boots it still shows the Ubuntu logo and the dots under it, then transitions smoothly to the desktop (I have autologin on) .

Steve Langasek (vorlon) wrote :

On Wed, Jul 11, 2012 at 01:55:17AM -0000, Eduard wrote:
> Steve, sorry for the late reply, was away from my main machine.

> Apparently that fixed it! Added the line and voila, it booted without
> the fglrx driver.

Ok, cool. That confirms that it's a bios->drm video handoff problem.

> I don't see what are you guys talking about the degraded boot
> experience? When it boots it still shows the Ubuntu logo and the dots
> under it, then transitions smoothly to the desktop (I have autologin on)

The degradation may not be anything that you care about. :) Not doing the
video handoff from bios to kernel means there will be additional flickers
(and possibly resolution changes) at boot time that we have tried to
eliminate.

Changed in grub-gfxpayload-lists (Ubuntu Precise):
milestone: ubuntu-12.04.1 → none
milestone: none → ubuntu-12.04.1
Changed in grub-gfxpayload-lists (Ubuntu Precise):
milestone: ubuntu-12.04.1 → ubuntu-12.04.2
Brian Murray (brian-murray) wrote :

I've removed the plymouth tasks as this seems to have been narrowed done to a bug in grub-gfxpayload-lists.

no longer affects: plymouth (Ubuntu)
no longer affects: plymouth (Ubuntu Precise)
no longer affects: plymouth (Ubuntu Quantal)
Moisés Cabello (moisesc) wrote :

(please, excuse my english)

It also happens with Radeon HD 6320 (from lspci -vvnn). In my case its a random freeze. Sometimes the boot run normal, and sometimes the screen freeze in purple. When it works, the boot run entirely in a purple screen until the lightdm appears (no ubuntu logo, except during shutdown). When fail, the same without lighdm.

I discovered that pressing Esc key during boot, the purple screen turn into ubuntu logo/text mode and from that point the boot never freeze. Thats the manual way to avoid the freeze (the rescue mode also works).

I tested it with Precise and latest Quantal, and open source drivers.

Colin Watson (cjwatson) on 2013-02-13
Changed in grub-gfxpayload-lists (Ubuntu):
milestone: ubuntu-12.04.1 → none
Changed in grub-gfxpayload-lists (Ubuntu Precise):
milestone: ubuntu-12.04.2 → ubuntu-12.04.3
Eduard (eduard-comanici) wrote :

Apparently, it still happens with Ubuntu 13.04 :(

Please fix this guys.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers